<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
 
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

echo'<img src="../images/img/partners.gif" alt=""> <b>Новости сайта</b><br><br>';

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}} 

$file = file("../local/news.dat");
$file = array_reverse($file);

$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_postnews){ $end = $total; }
else {$end = $start + $config_postnews; }
for ($i = $start; $i < $end; $i++){

$data = explode("|",$file[$i]);

$data[1]=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~%#]*(\\?[[:alnum:]?+&amp;_=/%#]*)?)?)", "<a href='\\1'>\\1</a>", $data[1]);

if(!empty($data[1])){
echo '<div class=b><img src="../images/img/files.gif" alt=""> ';
echo '<b>'.$data[0].'</b><small> ('.$data[2].' - '.$data[3].')</small></div>';
echo '<div>'.$data[1].'<br>Разместил: '.nickname($data[4]).' <br>';
echo '<a href="komm.php?id='.$data[5].'&amp;'.SID.'">Коментарии</a>';

$filek = file("../local/datakomm/$data[5].dat");
$totalk = count($filek);
$totalk=$totalk-1;

$data1 = explode("|",$filek[$totalk]);
echo '('.(int)$data1[5].')</div>';
} else { echo '<br>Новостей еще нет!<br>';}
}

echo'<hr>';    
if ($start != 0) {echo '<a href="index.php?start='.($start - $config_postnews).'&amp;'.SID.'">&lt;-Назад</a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_postnews) {echo ' <a href="index.php?start='.($start + $config_postnews).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo'Далее-&gt;';}

$ba=ceil($total/$config_postnews);
$ba2=$ba*$config_postnews-$config_postnews;

if($total>0){
echo'<br><hr>Страницы:';
$asd=$start-($config_postnews*3);
$asd2=$start+($config_postnews*4);

if($asd<$total && $asd>0){echo ' <a href="index.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_postnews);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="index.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_postnews;}
if($asd2<$total){echo ' ... <a href="index.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}

echo'<br><br><img src="../images/img/rss.gif" alt=""> <a href="../pages/rss_news.php?'.SID.'">RSS подписка</a><br>'; 
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
